Subject: Re: [PATCH] powerpc: Add Marvell mv64x60 udbg putc/getc functions

From: [email-masked] (Olof Johansson)
Date: Wed, 23 May 2007 20:53:05 -0500

On Wed, May 23, 2007 at 05:02:37PM -0700, Dale Farnsworth wrote:
> On Wed, May 23, 2007 at 06:27:45PM -0500, Olof Johansson wrote:
> > On Wed, May 23, 2007 at 03:05:18PM -0700, Dale Farnsworth wrote:
> > 
> > >  arch/powerpc/platforms/embedded6xx/prpmc2800.c |    1 
> > >  arch/powerpc/sysdev/Makefile                   |    3 
> > >  arch/powerpc/sysdev/mv64x60.h                  |    1 
> > >  arch/powerpc/sysdev/mv64x60_udbg.c             |  152 +++++++++++++++
> > >  4 files changed, 156 insertions(+), 1 deletion(-)
> > 
> > Is there a reason you're not putting it with the other udbg code, and
> > not naming it with the same scheme (kernel/udbg_<xxx>)?
> 
> Not really.  I just put it with some other mv64x60 code.
> 
> > Or maybe we should just move the udbg_16550 code to sysdev instead, it's
> > roots are from ppc64 where we didn't have sysdev.
> 
> Shrug.

Yeah, shrug. :)  This shouldn't stop this from going in, it just made
me realize that we should probably move the 16550 stuff.

-Olof